export function ensureChainType(chains) {
    const consolidatedChains = chains.map(ch => {
        const asSimpleChain = ch;
        const chain = ch;
        if (asSimpleChain.currency) {
            chain.nativeCurrency = {
                name: asSimpleChain.currency,
                decimals: 18,
                symbol: asSimpleChain.currency
            };
            delete asSimpleChain.currency;
        }
        if (asSimpleChain.explorerUrl) {
            chain.blockExplorerUrls = [asSimpleChain.explorerUrl];
            delete asSimpleChain.explorerUrl;
        }
        if (asSimpleChain.rpcUrl) {
            chain.rpcUrls = [asSimpleChain.rpcUrl];
            delete asSimpleChain.rpcUrl;
        }
        if (asSimpleChain.name) {
            chain.chainName = asSimpleChain.name;
            delete asSimpleChain.name;
        }
        return chain;
    });
    return consolidatedChains;
}
//# sourceMappingURL=Web3TypesUtil.js.map