import type { Web3ModalOptions } from '../src/client.js';
import { Web3Modal } from '../src/client.js';
import type { EthExecutionAPI } from 'web3-types';
export type { Web3ModalOptions } from '../src/client.js';
export declare function createWeb3Modal(options: Web3ModalOptions): Web3Modal;
export declare function useWeb3ModalProvider(): {
    walletProvider: import("vue").Ref<{
        on: {
            (event: "connect", listener: (info: import("web3-types").ProviderInfo) => void): void;
            (event: "disconnect", listener: (error: import("web3-types").ProviderRpcError) => void): void;
            (event: "message", listener: (message: import("web3-types").ProviderMessage) => void): void;
            (event: "chainChanged", listener: (chainId: string) => void): void;
            (event: "accountsChanged", listener: (accounts: import("web3-types").ProviderAccounts) => void): void;
        };
        removeListener: {
            (event: "connect", listener: (info: import("web3-types").ProviderInfo) => void): void;
            (event: "disconnect", listener: (error: import("web3-types").ProviderRpcError) => void): void;
            (event: "message", listener: (message: import("web3-types").ProviderMessage) => void): void;
            (event: "chainChanged", listener: (chainId: string) => void): void;
            (event: "accountsChanged", listener: (accounts: import("web3-types").ProviderAccounts) => void): void;
        };
        request: <Method extends string, ResponseType_1 = ReturnType<EthExecutionAPI[Method]>>(args: import("web3-types").Web3APIPayload<EthExecutionAPI, Method>) => Promise<unknown>;
    } | undefined>;
    walletProviderType: import("vue").Ref<"walletConnect" | "injected" | "coinbaseWallet" | "eip6963" | "w3mEmail" | undefined>;
};
export declare function useDisconnect(): {
    disconnect: () => Promise<void>;
};
export declare function useSwitchNetwork(): {
    switchNetwork: (chainId: number) => Promise<void>;
};
export declare function useWeb3ModalAccount(): {
    address: import("vue").Ref<string | undefined>;
    isConnected: import("vue").Ref<boolean>;
    chainId: import("vue").Ref<number | undefined>;
};
export declare function useWeb3ModalError(): {
    error: import("vue").Ref<unknown>;
};
export { useWeb3ModalTheme, useWeb3Modal, useWeb3ModalState, useWeb3ModalEvents, useWalletInfo } from '@web3modal/scaffold-vue';
export { defaultConfig } from '../src/utils/defaultConfig.js';
