import type { Address, CombinedProvider, Provider } from './Web3TypesUtil.js';
import type { W3mFrameTypes } from '@web3modal/wallet';
export interface Web3StoreUtilState {
    provider?: Provider | CombinedProvider;
    providerType?: 'walletConnect' | 'injected' | 'coinbaseWallet' | 'eip6963' | 'w3mEmail';
    address?: Address;
    chainId?: number;
    error?: unknown;
    preferredAccountType?: W3mFrameTypes.AccountType;
    isConnected: boolean;
}
export declare const Web3StoreUtil: {
    state: Web3StoreUtilState;
    subscribeKey<K extends keyof Web3StoreUtilState>(key: K, callback: (value: Web3StoreUtilState[K]) => void): () => void;
    subscribe(callback: (newState: Web3StoreUtilState) => void): () => void;
    setProvider(provider: Web3StoreUtilState['provider']): void;
    setProviderType(providerType: Web3StoreUtilState['providerType']): void;
    setAddress(address: Web3StoreUtilState['address']): void;
    setPreferredAccountType(preferredAccountType: Web3StoreUtilState['preferredAccountType']): void;
    setChainId(chainId: Web3StoreUtilState['chainId']): void;
    setIsConnected(isConnected: Web3StoreUtilState['isConnected']): void;
    setError(error: Web3StoreUtilState['error']): void;
    reset(): void;
};
